#ifndef NGLOBAL_HH
#define NGLOBAL_HH

#include <string>

//DEBUG:for debug
//LOW:not important message, MID:message, HIGH:error, or warning
//ERROR:known problem of program, or not coding yet
enum EMessageLevel{
  kDEBUG, kLOW, kMID, kHIGH, kERROR
};

namespace NGlobal
{
  void IncrementName(std::string& name);
  void Message(std::string message,EMessageLevel level);
  std::string FunctionName(std::string functionname);
}

#endif

