#ifndef CCREATECUT_HH
#define CCREATECUT_HH

#include "TCut.h"

class CCanvasManager;
class CHistManager;
class CCutManager;
class CCreateHist;
class CDynamicFunction;

namespace NAlias
{
  extern CCanvasManager* canvasmanager;
  extern CHistManager* histmanager;
  extern CCutManager* cutmanager;
  extern CCreateHist* createhist;
  extern CDynamicFunction* dynamicfunction;
}

class CCreateCut
{
public:
  CCreateCut(){;}
  ~CCreateCut(){;}
  void CreateCut(std::string name, std::string title);
  void CreateCut(std::string name, TCut* cut);
  void CreateCutG(std::string name = "cutg", std::string title = "cutg");
  void CircleCut(std::string name = "circlecut", std::string histname = "hist");

private:
  std::string FunctionName(std::string functionname) const;
};

#endif
