#ifndef CFOLD_HH
#define CFOLD_HH

#include "TF1.h"

class CFold
{
public:
  CFold(TF1* fold);
  ~CFold();

public:
  void SetSigma(Double_t sigma);
  void SetStep(Double_t step);
  TF1* GetFoldedFunction();

  Double_t Evaluate(Double_t *x, Double_t *par);

private:
  TF1* fFold;
  TF1* fFolded;
  TF1* fGaussian;
  TF1* fPoisson;
  Double_t fSigma;
  Double_t fStep;

  ClassDef(CFold, 0)
};

#endif
