#ifndef CMAPFUNCTION2D_HH
#define CMAPFUNCTION2D_HH

#include <string>

#include "CMapFunction.hh"

class CMapFunction2D : public CMapFunction
{
public:
  CMapFunction2D();
  ~CMapFunction2D();

  void SetFile(std::string filename);

private:
  Double_t MapFunction(Double_t xx, Double_t yy);
  Double_t MapFunction(Double_t* x, Double_t* /*par*/);

  ClassDef(CMapFunction2D, 0)
};

#endif
