
#include <iostream>
#include <deque>
#include <fstream>
#include <cmath>

#include "TF1.h"

#include "CMapFunction.hh"
#include "FFunction.hh"

ClassImp(CMapFunction)

CMapFunction::CMapFunction()
: fMapFunction(0)
{;}

CMapFunction::~CMapFunction()
{;}

TF1* CMapFunction::GetMapFunction()
{
  return fMapFunction;
}

void CMapFunction::SetMap(const std::deque<Double_t>* f,
			  const std::deque<Double_t>* x,
			  const std::deque<Double_t>* y,
			  const std::deque<Double_t>* z)
{
  fF = *f;
  fX = *x;
  if(y != 0) fY = *y;
  if(z != 0) fZ = *z;
}
