set xrange [0:3.14159265359]
set yrange [0:300]
set y2range [0:15]
set y2tics 5
set ytics nomirror

set xlabel "theta-cm(rad)"
set ylabel "energy(MeV)"
set y2label "range(cm)"

set style line 1 lt 1 lc rgb "red" lw 1
set style line 2 lt 1 lc rgb "green" lw 1
set style line 3 lt 1 lc rgb "blue" lw 1

plot "energy_range.txt" using 2:3 title "recoil proton energy" axis x1y1 with lines ls 1, \
"energy_range.txt" using 2:4 title "range"  axis x1y2 with lines ls 2, \
"energy_range.txt" using 2:5 title "width of three-layer"  axis x1y2 with lines ls 3
