
void example_txt2(std::string dir = "")
{
  clear();

  //  gStyle->SetOptTitle(1);

  //  TCanvas* canvas = new TCanvas("canvas", "", 600, 1000);
  //  canvas->SetFillColor(0);

  //  dir = "9Li/";
  //  dir = "135ps/";
  //  dir = "135ps9Li/";
  //  dir = "200ps/";

  txttotree("data/" + dir + "erel0.txt", "12.5keV");
  txttotree("data/" + dir + "erel1.txt", "25keV"  );
  txttotree("data/" + dir + "erel2.txt", "50keV"  );
  txttotree("data/" + dir + "erel3.txt", "100keV" );
  txttotree("data/" + dir + "erel4.txt", "200keV" );
  txttotree("data/" + dir + "erel5.txt", "400keV" );
  txttotree("data/" + dir + "erel6.txt", "800keV" );
  txttotree("data/" + dir + "erel7.txt", "1600keV");

  createhist(0, 1000, 0., 0.05);
  createhist(1, 1000, 0., 0.1);
  createhist(2, 1000, 0., 0.2);
  createhist(3, 1000, 0., 0.4);
  createhist(4, 1000, 0., 0.8);
  createhist(5, 1000, 0., 1.6);
  createhist(6, 1000, 0., 3.2);
  createhist(7, 1000, 0., 6.4);

  gHist[0]->SetTitle("Erel=12.5keV;Erel[MeV];counts");
  gHist[1]->SetTitle("Erel=25keV  ;Erel[MeV];counts");
  gHist[2]->SetTitle("Erel=50keV  ;Erel[MeV];counts");
  gHist[3]->SetTitle("Erel=100keV ;Erel[MeV];counts");
  gHist[4]->SetTitle("Erel=200keV ;Erel[MeV];counts");
  gHist[5]->SetTitle("Erel=400keV ;Erel[MeV];counts");
  gHist[6]->SetTitle("Erel=800keV ;Erel[MeV];counts");
  gHist[7]->SetTitle("Erel=1600keV;Erel[MeV];counts");

  zone(2,4);

  std::ofstream ofs(std::string("data/" + dir + "EnergyResolution.txt").c_str());
  
  ht(0);
  TFitResultPtr frp = fitl("S");
  ofs << "12.5 " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
  hn();
  TFitResultPtr frp = fitl("S");
  ofs << "20. " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
  hn();
  TFitResultPtr frp = fitg("S");
  ofs << "50. " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
  hn();
  TFitResultPtr frp = fitg("S");
  ofs << "100. " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
  hn();
  TFitResultPtr frp = fitg("S");
  ofs << "200. " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
  hn();
  TFitResultPtr frp = fitg("S");
  ofs << "400. " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
  hn();
  TFitResultPtr frp = fitg("S");
  ofs << "800. " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
  hn();
  TFitResultPtr frp = fitg("S");
  ofs << "1600. " << frp->Parameter(1) << " " << frp->ParError(1) << " " << frp->Parameter(2) << " " << frp->ParError(2) << std::endl;
}
