#include <iostream>

double PositionResolution(int InitialPhotonNumber, double length,
			  double attlength, double qeff, double cover);

int genana()
{
  //  int InitialPhotonNumber = 8400;
  int InitialPhotonNumber = 10000;
  double length = 15;
  //  double length = 10;
//  double attlength = 8;
  double attlength = 20;
  double qeff = 0.25;
  //  double cover = 0.3;
  double cover = 0.6;

  PositionResolution(InitialPhotonNumber, length, attlength, qeff, cover);

  return 0;
}

//position=k*log(Ar/Al), sigma_position~k*dN/N,
double PositionResolution(int InitialPhotonNumber, double length,
			  double attlength, double qeff, double cover)
{
  double gensui = exp(-length/attlength);
  double k = -length/log(gensui);
  double dNoverN = sqrt((1-gensui*qeff*cover)/InitialPhotonNumber);
  double posreso = k*dNoverN;

  std::cout << gensui << " " << k << " " << dNoverN << " " << posreso << std::endl;

  return posreso;
}
