#ifndef CMAPFUNCTION3D_HH
#define CMAPFUNCTION3D_HH

#include <string>

#include "CMapFunction.hh"

class CMapFunction3D : public CMapFunction
{
public:
  CMapFunction3D();
  ~CMapFunction3D();

  void SetFile(std::string filename);

private:
  Double_t MapFunction(Double_t xx, Double_t yy, Double_t zz);
  Double_t MapFunction(Double_t* x, Double_t* /*par*/);

  ClassDef(CMapFunction3D, 0)
};

#endif
